Subject: [Tigers] coolant

From: 64venezia via Tigers <[email-masked]>
Date: Mon, 28 Dec 2015 16:59:49 -0500

Just read in Sports and Exotics about someone using "Evans Waterless Engine
Coolant" (+/-$45 at Summit Racing).  I never heard about this coolant, does
anybody uses this in a Tiger? It sounds great, no corrosion and good
cooling, but..............??? Thanks, and Happy 2016. Robert 

---
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus

_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]